# class Chef::Exceptions::ContentLengthMismatch

Raised when the content length of a download does not match the content length declared in the http response.

### Public Class Methods

new(response_length, content_length) click to toggle source
Calls superclass method

    # File lib/chef/exceptions.rb, line 314
    def initialize(response_length, content_length)
      super "Response body length #{response_length} does not match HTTP Content-Length header #{content_length}."
    end